Package org.eclipse.emf.compare.internal.conflict

# Class ResourceAttachmentChangeConflictSearch

java.lang.Object
org.eclipse.emf.compare.internal.conflict.ResourceAttachmentChangeConflictSearch

public class ResourceAttachmentChangeConflictSearch extends Object
Search for `ResourceAttachmentChange` conflicts.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ResourceAttachmentChangeConflictSearch.Add`
Search conflicts for `ResourceAttachmentChange` of kind `DifferenceKind.ADD`.
`static class`
`ResourceAttachmentChangeConflictSearch.Change`
Search conflicts for `ResourceAttachmentChange` of kind `DifferenceKind.CHANGE`.
`static class`
`ResourceAttachmentChangeConflictSearch.Delete`
Search conflicts for `ResourceAttachmentChange` of kind `DifferenceKind.DELETE`.
`static class`
`ResourceAttachmentChangeConflictSearch.Move`
Search conflicts for `ResourceAttachmentChange` of kind `DifferenceKind.MOVE`.

## Constructor Summary

Constructors
Constructor
Description
`ResourceAttachmentChangeConflictSearch()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceAttachmentChangeConflictSearch

public ResourceAttachmentChangeConflictSearch()